import { Construct } from 'constructs';
export interface PloneBackendPDBOptions {
    /**
     * maxUnavailable specification
     * @default - none
     */
    readonly maxUnavailable?: number | string;
    /**
     * minAvailable specification.
     * @default 1
     */
    readonly minAvailable?: number | string;
    /**
     * Selector label.
     */
    readonly selectorLabel: {
        [name: string]: string;
    };
    /**
     * Extra labels to associate with resources.
     * @default - none
     */
    readonly labels?: {
        [name: string]: string;
    };
}
export declare class PloneBackendPDB extends Construct {
    constructor(scope: Construct, id: string, options: PloneBackendPDBOptions);
}
