import { Construct } from 'constructs';
export interface PloneBackendServiceOptions {
    /**
     * Port number.
     * @default 8080
     */
    readonly port?: number;
    /**
     * Port number.
     * @default 8080;
     */
    readonly targetPort?: number;
    /**
     * Selector label.
     */
    readonly selectorLabel: {
        [name: string]: string;
    };
    /**
     * Extra labels to associate with resources.
     * @default - none
     */
    readonly labels?: {
        [name: string]: string;
    };
}
export declare class PloneBackendService extends Construct {
    constructor(scope: Construct, id: string, options: PloneBackendServiceOptions);
}
