import { Construct } from 'constructs';
export interface PloneFrontendServiceOptions {
    /**
     * Port number.
     * @default 3000
     */
    readonly port?: number;
    /**
     * Port number.
     * @default 3000;
     */
    readonly targetPort?: number;
    /**
     * Selector label.
     */
    readonly selectorLabel: {
        [name: string]: string;
    };
    /**
     * Extra labels to associate with resources.
     * @default - none
     */
    readonly labels?: {
        [name: string]: string;
    };
}
export declare class PloneFrontendService extends Construct {
    constructor(scope: Construct, id: string, options: PloneFrontendServiceOptions);
}
